package dvi.event;

public interface TEventModel
{
  public void addListener(TEventListener l);
  public void addUniqueListener(TEventListener l);

  public void removeListener(TEventListener l);
  public void removeListeners();

  public String dumpListeners();

  public TEventListener getListeners();

  public void inheritListeners(TEventProcessor ep);

  public void processEvent(TEvent e);
}
